System 2.0.0.0 4.0.0.0 System.Object System.Collections.ICollection System.ICloneable To be added.

Contains a collection of settings property values that map objects to objects.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds a object to the collection.

  A object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Removes all objects from the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  Creates a copy of the existing collection.

  A class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies this collection to an array.

  The array to copy the collection to. The index at which to begin copying.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets a value that specifies the number of objects in the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Gets the object as it applies to the collection.

  The object as it applies to the collection.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether access to the collection is synchronized (thread safe).

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.SettingsPropertyValue `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes a object from the collection.

  The name of the object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  After the collection has been set to read-only, it can no longer be modified.

  Sets the collection to be read-only.

- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  Gets the object to synchronize access to the collection.